## org.eclipse.ocl.types.impl
Class TypesPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.ocl.types.impl.TypesPackageImpl

All Implemented Interfaces:
  Notifier, EModelElement, ENamedElement, EObject, EPackage, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder, TypesPackage

    public class TypesPackageImpl

extends EPackageImpl
implements TypesPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.ocl.types.TypesPackage
`TypesPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.ocl.types.TypesPackage

`ANY_TYPE, ANY_TYPE_FEATURE_COUNT, BAG_TYPE, BAG_TYPE__ELEMENT_TYPE, BAG_TYPE__END_POSITION, BAG_TYPE__KIND, BAG_TYPE__START_POSITION, BAG_TYPE__TYPE_END_POSITION, BAG_TYPE__TYPE_START_POSITION, BAG_TYPE_FEATURE_COUNT, COLLECTION_TYPE, COLLECTION_TYPE__ELEMENT_TYPE, COLLECTION_TYPE__END_POSITION, COLLECTION_TYPE__KIND, COLLECTION_TYPE__START_POSITION, COLLECTION_TYPE__TYPE_END_POSITION, COLLECTION_TYPE__TYPE_START_POSITION, COLLECTION_TYPE_FEATURE_COUNT, eCONTENT_TYPE, eINSTANCE, ELEMENT_TYPE, ELEMENT_TYPE_FEATURE_COUNT, eNAME, eNS_PREFIX, eNS_URI, INVALID_TYPE, INVALID_TYPE_FEATURE_COUNT, MESSAGE_TYPE, MESSAGE_TYPE__REFERRED_OPERATION, MESSAGE_TYPE__REFERRED_SIGNAL, MESSAGE_TYPE_FEATURE_COUNT, ORDERED_SET_TYPE, ORDERED_SET_TYPE__ELEMENT_TYPE, ORDERED_SET_TYPE__END_POSITION, ORDERED_SET_TYPE__KIND, ORDERED_SET_TYPE__START_POSITION, ORDERED_SET_TYPE__TYPE_END_POSITION, ORDERED_SET_TYPE__TYPE_START_POSITION, ORDERED_SET_TYPE_FEATURE_COUNT, PRIMITIVE_TYPE, PRIMITIVE_TYPE_FEATURE_COUNT, SEQUENCE_TYPE, SEQUENCE_TYPE__ELEMENT_TYPE, SEQUENCE_TYPE__END_POSITION, SEQUENCE_TYPE__KIND, SEQUENCE_TYPE__START_POSITION, SEQUENCE_TYPE__TYPE_END_POSITION, SEQUENCE_TYPE__TYPE_START_POSITION, SEQUENCE_TYPE_FEATURE_COUNT, SET_TYPE, SET_TYPE__ELEMENT_TYPE, SET_TYPE__END_POSITION, SET_TYPE__KIND, SET_TYPE__START_POSITION, SET_TYPE__TYPE_END_POSITION, SET_TYPE__TYPE_START_POSITION, SET_TYPE_FEATURE_COUNT, TUPLE_TYPE, TUPLE_TYPE_FEATURE_COUNT, TYPE_TYPE, TYPE_TYPE__REFERRED_TYPE, TYPE_TYPE_FEATURE_COUNT, VOID_TYPE, VOID_TYPE_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`protected void` `createDuplicatesAnnotations()` Initializes the annotations for duplicates
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EClass` `getAnyType()`
`EClass` `getBagType()`
`EReference` `getCollectionType_ElementType()`
`EAttribute` `getCollectionType_Kind()`
`EClass` `getCollectionType()`
`EClass` `getElementType()`
`EClass` `getInvalidType()`
`EReference` `getMessageType_ReferredOperation()`
`EReference` `getMessageType_ReferredSignal()`
`EClass` `getMessageType()`
`EClass` `getOrderedSetType()`
`EClass` `getPrimitiveType()`
`EClass` `getSequenceType()`
`EClass` `getSetType()`
`EClass` `getTupleType()`
`TypesFactory` `getTypesFactory()`
`EReference` `getTypeType_ReferredType()`
`EClass` `getTypeType()`
`EClass` `getVoidType()`
`static TypesPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.
`void` `initializePackageContentsGen()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static TypesPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `TypesPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `TypesPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getAnyType

    public EClass getAnyType()

  Specified by:
    `getAnyType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Any Type'.
  See Also:
    `AnyType`

### getBagType

    public EClass getBagType()

  Specified by:
    `getBagType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Bag Type'.
  See Also:
    `BagType`

### getCollectionType

    public EClass getCollectionType()

  Specified by:
    `getCollectionType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Collection Type'.
  See Also:
    `CollectionType`

### getCollectionType_ElementType

    public EReference getCollectionType_ElementType()

  Specified by:
    `getCollectionType_ElementType` in interface `TypesPackage`
  Returns:
    the meta object for the reference 'Element Type'.
  See Also:
    `CollectionType.getElementType()`, `TypesPackage.getCollectionType()`

### getCollectionType_Kind

    public EAttribute getCollectionType_Kind()

  Specified by:
    `getCollectionType_Kind` in interface `TypesPackage`
  Returns:
    the meta object for the attribute 'Kind'.
  See Also:
    `CollectionType.getKind()`, `TypesPackage.getCollectionType()`

### getElementType

    public EClass getElementType()

  Specified by:
    `getElementType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Element Type'.
  See Also:
    `ElementType`

### getInvalidType

    public EClass getInvalidType()

  Specified by:
    `getInvalidType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Invalid Type'.
  See Also:
    `InvalidType`

### getMessageType

    public EClass getMessageType()

  Specified by:
    `getMessageType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Message Type'.
  See Also:
    `MessageType`

### getMessageType_ReferredOperation

    public EReference getMessageType_ReferredOperation()

  Specified by:
    `getMessageType_ReferredOperation` in interface `TypesPackage`
  Returns:
    the meta object for the reference 'Referred Operation'.
  See Also:
    `MessageType.getReferredOperation()`, `TypesPackage.getMessageType()`

### getMessageType_ReferredSignal

    public EReference getMessageType_ReferredSignal()

  Specified by:
    `getMessageType_ReferredSignal` in interface `TypesPackage`
  Returns:
    the meta object for the reference 'Referred Signal'.
  See Also:
    `MessageType.getReferredSignal()`, `TypesPackage.getMessageType()`

### getOrderedSetType

    public EClass getOrderedSetType()

  Specified by:
    `getOrderedSetType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Ordered Set Type'.
  See Also:
    `OrderedSetType`

### getPrimitiveType

    public EClass getPrimitiveType()

  Specified by:
    `getPrimitiveType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Primitive Type'.
  See Also:
    `PrimitiveType`

### getSequenceType

    public EClass getSequenceType()

  Specified by:
    `getSequenceType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Sequence Type'.
  See Also:
    `SequenceType`

### getSetType

    public EClass getSetType()

  Specified by:
    `getSetType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Set Type'.
  See Also:
    `SetType`

### getTupleType

    public EClass getTupleType()

  Specified by:
    `getTupleType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Tuple Type'.
  See Also:
    `TupleType`

### getTypeType

    public EClass getTypeType()

  Specified by:
    `getTypeType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Type Type'.
  See Also:
    `TypeType`

### getTypeType_ReferredType

    public EReference getTypeType_ReferredType()

  Specified by:
    `getTypeType_ReferredType` in interface `TypesPackage`
  Returns:
    the meta object for the reference 'Referred Type'.
  See Also:
    `TypeType.getReferredType()`, `TypesPackage.getTypeType()`

### getVoidType

    public EClass getVoidType()

  Specified by:
    `getVoidType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Void Type'.
  See Also:
    `VoidType`

### getTypesFactory

    public TypesFactory getTypesFactory()

  Specified by:
    `getTypesFactory` in interface `TypesPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

  The generated implementation is extended by adding me as a child of the empty root `OCL` package.

### initializePackageContentsGen

    public void initializePackageContentsGen()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

### createDuplicatesAnnotations

    protected void createDuplicatesAnnotations()

  Initializes the annotations for duplicates.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.